## org.openorb.policy
Interface ForceMarshalPolicyOperations

All Superinterfaces:
  PolicyOperations

All Known Subinterfaces:
  ForceMarshalPolicy

public interface ForceMarshalPolicyOperations
extends PolicyOperations

The local invocation policy is used to determine if local invocation is allowed.

Method Summary
`boolean` `forceMarshal()` If unset or disallowLocal is false then local invocation is used where possible, otherwise nonlocal invocation (complete object marshalling / unmarshalling through transport) is used.

Methods inherited from interface org.omg.CORBA.PolicyOperations
`copy, destroy, policy_type`

Method Detail

### forceMarshal

    public boolean forceMarshal()

  If unset or disallowLocal is false then local invocation is used where possible, otherwise nonlocal invocation (complete object marshalling / unmarshalling through transport) is used. This should be set for any POAs which export targets which must always use call-by-value semantics for complex type invocations.